:root{
    --color1:#C7FFED;
    --color2:#D8FFDB;
    --color3:#008F8C;
    --color4:#015958;
    --color5:#023535;
    --color6:#012121;
    --time: 2s cubic-bezier(.88,.89,.49,1.14);
}

body{
    height: 100%;
    margin: 0px;
    background-color: var(--color3);
    font-family: Inter, sans-serif;
}

.contenedor {
    width: 100%;
    max-width: 1440px;
    margin: auto;
}

.main{
    min-height: 80vh;
}

.header{
    position: relative;
}

.header> svg{
    position: absolute;
    left: 84px;
    top: 40px;
    width: 31.09px;
    height: 48px;
    z-index: 20;
    animation: rotacion var(--time);
}


.modo{
    display: flex;
    align-items: center;
    position: absolute;
    right: 84px;
    top: 40px;
    z-index: 20;
    font-family: Inter, sans-serif;
    font-size: 10px;
    color: var(--color1);
}
    
.modo > input{
    margin-left: 10px;
    width: 35px;
    height: 35px;
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.37);
    border-radius: 50%;
    transform: scale(1);
    transition: transform 0.2s;
}

.modo > input:hover{
    transform: scale(1.05);
}

@keyframes rotacion {
    0%{
        left:-40px;
        opacity: 0;
        transform: rotate(0deg);
    }
    100%{
        left: 84px;
        opacity: 1;
        transform: rotate(360deg);
    }
}


.gameOver-nodisplay, .youWin-nodisplay, .no-display{
    display: none;
}

.juego{
    padding-top: 50px;
    display: flex;
    position: relative;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.ahorcado{
    width: 300px;
}

.correctas{
    margin-top: 20px;
    display: flex;
    color: var(--color1);
    font-size: 50px;
}

.letraCorrecta{
    height: 50px;
    width: 40px;
    padding: 10px 10px;
    margin: 0px 10px;
    border-bottom: 8px solid var(--color4);
    text-align: center;
}

.teclado{
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 40px;
}

.tecla{
    font-family: Inter, sans-serif;
    padding: 5px 20px;
    background-color: var(--color4);
    border: none;
    border-radius: 3px;
    box-shadow: 0px 2px 0px var(--color5);
    margin: 2px;
    color: var(--color1);
    transform: scale(1);
    transition: transform 0.2s; 
}

.tecla:hover{
    transform: scale(1.05);
}

.tecla:active{
    background-color: var(--color5);
}

.teclaUsadaCorrecta{
    font-family: Inter, sans-serif;
    padding: 5px 20px;
    border: none;
    background-color: var(--color3);
    box-shadow: 0px 0px 2px var(--color6);
    border-radius: 3px;
    margin: 2px;
    color: var(--color1); 
}

.teclaUsadaIncorrecta{
    font-family: Inter, sans-serif;
    padding: 5px 20px;
    background-color: var(--color5);
    border: none;
    border-radius: 3px;
    margin: 2px;
    color: var(--color1); 
}

form{
    display: flex;
}

.btn{
    height: 50px;
    border: 1px solid var(--color4);
    border-radius: 24px;
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    line-height: 19px;
    transform: scale(1);
    transition: transform 0.2s; 
}

.btn:hover{
    transform: scale(1.05);
}

.btn-primary{
    background-color:var(--color4);
    color: var(--color1);
}

.btn-primary:active{
    background-color: var(--color5);
}

.btn-secondary{
    background-color:var(--color1);
    color: var(--color5);
}

.btn-secondary:active{
    color: var(--color1);
    background-color: var(--color5);
}

.btns_juego{
    margin-top: 30px;
}

.btns_juego > .btn:first-child{
    width: 300px;
    margin-right: 12px;
}

.btns_juego > .btn:last-child{
    width: 300px;
    margin-left: 12px;
}

.menu{
    height: 100%;
}

.btns_menu{
    padding: 20% 20% 0 20%;
    flex-direction: column;
    align-items: center;
}

.btns_menu > .btn:first-child{
    width: 300px;
    height: 90px;
    margin-bottom: 12px;
}

.btns_menu > .btn:last-child{
    height: 60px;
    width: 200px;
    margin-top: 12px;
}

.addWord{
    display: flex;
    justify-content: center;
    height: 100%;
    padding: 15% 15% 0 15%;
}
.addWord_form{
    flex-direction: column;
    align-items: center;
    width: fit-content;
}

.btns_addWord{
    display: flex;
    align-items: center;
}

.btns_addWord > .btn:first-child{
    width: 300px;
    margin-right: 12px;
}

.btns_addWord > .btn:last-child{
    width: 300px;
    margin-left: 12px;
}

#texto{
    height: 200px;
    width: 500px;
    font-family: Inter, sans-serif;
    font-size: 32px;
    line-height: 48px;
    color: var(--color1);
    background-color: transparent;
    resize: none;
    border: none;
    text-transform: uppercase;
}

#texto:focus{
    outline: none
}

#texto::-webkit-input-placeholder {
    color: var(--color1);
    text-transform: none;
    opacity: 0.5;
}

.info{
    font-family: Inter, sans-serif;
    align-self: flex-start;
    display: flex;
    align-items: center;
    margin: 16px 0;
}

.info > p{
    margin-left: 8px;
    display: inline-block;
    font-size: 12px;
    line-height: 18px;
    color: var(--color1);
}

.info > svg{
    width: 16px;
    height: 16px;
    object-fit: cover;
    display: inline-block;
}

.stateAnimation{
    font-family: 'Press Start 2P', cursive;
    font-size: 100px;
    text-align: center;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    animation: slide 0.5s, parpadeo 1s 0.5s infinite alternate;
}

.youWin{   
    background: -webkit-linear-gradient(#ff0000, #ffff00);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    -webkit-text-stroke-width: 2px;
    -webkit-text-stroke-color: rgb(255, 255, 255);
}

.gameOver{   
    background: -webkit-linear-gradient(var(--color4), var(--color1));
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    -webkit-text-stroke-width: 2px;
    -webkit-text-stroke-color: rgb(255, 255, 255);
}

@keyframes slide{
    0%{
        top:-800px;
        opacity: 0;
    }
    100%{
        opacity: 1;
    }
}

@keyframes parpadeo{
    0%{
        opacity: 1;
    }
    50%{
        opacity: 1;
    }
    100%{
        opacity: 0;
    }
}

.dialog[open]{
    display: flex;
    font-family: Inter, sans-serif;
    border-radius: 10px;
    border: none;
    background-color: var(--color1);
    top:10px;
    align-items: center;
}

.dialog[open] > p{
    color: var(--color5);
    margin-left: 10px;
}
.dialog[open] > input{
    padding: 2px 5px;
    border-radius: 4px;
    border: none;
    background-color: var(--color4);
    color: #fff;
    transform: scale(1);
    transition: transform 0.2s; 
}

.dialog[open] > input:hover{
    transform: scale(1.05);
}

.footer{
    margin-top: 50px;
    background-color: var(--color5);
    display: flex;
    justify-content: space-around;
    padding: 50px 0px;
}

#info_footer{
    margin: 0px 20px;
}

#info_footer > a > svg{
    border-radius: 20%;
    width: 40px;
    height: 40px;
    transform: scale(1);
    transition: transform 0.2s;
    margin: 10px;
}

#info_footer > a > svg:hover{ 
    border-radius: 20%;
    width: 40px;
    height: 40px;
    transform: scale(1.1);
}

#oracleAlura{
    margin: 0px 20px;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

#oracleAlura > img{
    height: 70px;
    object-fit: cover;
}

#oracleAlura > svg{
    margin-left: 40px;
    margin-bottom: 13px;
}

@media screen and (max-width: 700px) {
    .correctas {
        font-size: 40px;
    }
    .letraCorrecta {
        height: 40px;
        width: 30px;
        padding: 5px 5px;
    }
    .teclado {
        margin-top: 20px;
    }
    .btns_juego > .btn:last-child, .btns_juego > .btn:first-child{
        width: 200px;
    }
    .btns_addWord > .btn:first-child, .btns_addWord > .btn:last-child {
        width: 200px;
    }
    .addWord {
        padding: 20% 15% 0 15%;
    }
}

@media screen and (max-width: 600px) {
    .juego {
        padding-top: 80px;
    }
    .ahorcado {
        width: 200px;
    }
    .correctas {
        font-size: 30px;
    }
    .letraCorrecta {
        height: 30px;
        width: 20px;
        padding: 5px 5px;
        margin: 0px 5px;
    }
    .tecla{
        padding: 5px 10px;
    }
    .teclaUsadaIncorrecta {
        padding: 5px 10px;
    }
    .teclaUsadaCorrecta {
        padding: 5px 10px;
    }
    .btns_menu {
        padding: 30% 20% 0 20%;
    }
    #texto {
        width: 400px;
    }
}

@media screen and (max-width: 475px) {
    .header> svg {
        left: 40px;
    }
    @keyframes rotacion {
        0%{
            left:-40px;
            opacity: 0;
            transform: rotate(0deg);
        }
        100%{
            left: 40px;
            opacity: 1;
            transform: rotate(360deg);
        }
    }
    .modo {
        right: 40px;
    }
    .btns_menu {
        padding: 40% 20% 0 20%;
    }

    .btns_juego > .btn:last-child, .btns_juego > .btn:first-child{
        width: 120px;
    }
    #texto {
        height: 180px;
        width: 300px;
    }
    .addWord {
        padding: 30% 15% 0 15%;
    }
}

@media screen and (max-width: 465px) {
    #oracleAlura{
        margin-top: 30px;
    }
    .btns_addWord > .btn:first-child, .btns_addWord > .btn:last-child {
        width: 150px;
        font-size: 13px;
    }
}

@media screen and (max-width: 400px) {
    .header> svg {
        height: 35px;
    }
    .btns_menu > .btn:first-child {
        width: 200px;
        height: 70px;
    }
    .btns_menu > .btn:last-child {
        width: 150px;
        height: 50px;
    }
    .juego {
        padding-top: 80px;
    }
    .ahorcado {
        width: 150px;
    }
    .correctas {
        font-size: 25px;
    }
    .letraCorrecta {
        height: 25px;
        width: 15px;
        padding: 2px 2px;
        margin: 0px 5px;
    }
    .tecla{
        padding: 5px 5px;
    }
    .teclaUsadaIncorrecta {
        padding: 5px 5px;
    }
    .teclaUsadaCorrecta {
        padding: 5px 5px;
    }
    .stateAnimation {
        font-size: 70px;
    }
    #oracleAlura{
        margin-left: 0;
    }
    #oracleAlura > svg{
        margin-left: 0;
    }
}